package com.yuandian.dataflow.statemachine;

import org.apache.ratis.protocol.RaftPeer;
import org.apache.ratis.protocol.RaftPeerId;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Getter
@Setter
@ToString
public class Peer  {

    public Peer(RaftPeerId raftPeer, int processorPort) {
        this.raftPeerId = raftPeer;
        this.processorPort = processorPort;
    }

    public Peer() {
        
    }

    private RaftPeerId raftPeerId;
    private int processorPort;

    @Override
    public boolean equals(Object arg0) {
        return getRaftPeerId().hashCode() == ((Peer)arg0).getRaftPeerId().hashCode();
    }
    
    @Override
    public int hashCode() {
        return getRaftPeerId().hashCode() ;
    }

}
